Ruby - Bug #7305

BigDecimal documentation
11/08/2012 01:53 AM - vbatts (Vincent Batts)

Status: Closed

Priority: Normal

Assignee: drbrain (Eric Hodel)

Target version: 2.0.0

ruby -v: ruby 2.0.0dev (2012-11-06 trunk 37483) |Backport:
[x86_64-linux]

Description
adding the last bits of documentation, with a few examples.

Also, should #initialize_copy not be a singleton method? It's a private instance method, but nothing uses it.

Associated revisions

Revision 50¢859715de864630d8c9259d6e6facc7c158bb8 - 11/09/2012 07:03 AM - zzak (zzak _)

¢ ext/bigdecimal/bigdecimal.c:
Documentation for BigDecimal
Based on a patch from Vincent Batts
[ruby-core:49047] [Bug #7305]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@37580 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 50¢85971 - 11/09/2012 07:03 AM - zzak (zzak _)

¢ ext/bigdecimal/bigdecimal.c:
Documentation for BigDecimal
Based on a patch from Vincent Batts
[ruby-core:49047] [Bug #7305]

git-svn-id: svn+ssh:/ci.ruby-lang.org/ruby/trunk@37580 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 11/08/2012 04:55 AM - marcandre (Marc-Andre Lafortune)

Also, should #initialize_copy not be a singleton method? It's a private instance method, but nothing uses it.

#initialize_copy is used by dup/clone. It's always a private instance method.

#2 - 11/09/2012 04:03 PM - zzak (zzak _)
- Status changed from Open to Closed
- % Done changed from 0 to 100

This issue was solved with changeset r37580.
Vincent, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.
May Ruby be with you.

® ext/bigdecimal/bigdecimal.c:
Documentation for BigDecimal
Based on a patch from Vincent Batts
[ruby-core:49047] [Bug #7305]

#3 - 11/09/2012 04:09 PM - zzak (zzak _)

vbatts: I've added your patch for JSON as a pull request, as suggested by naruse
bugs.ruby-lang.org/issues/7305
https://redmine.ruby-lang.org/issues/7305

https://github.com/flori/json/pull/150

Thank you
